﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.08
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Private ble As BleManager2
	Private rp As RuntimePermissions
End Sub

Sub Service_Create
	ble.Initialize("ble")
End Sub

Sub ble_StateChanged (State As Int)
	StartScanning
End Sub

Public Sub StartScanning
	If ble.State = ble.STATE_POWERED_ON Then
		If rp.Check(rp.PERMISSION_ACCESS_COARSE_LOCATION) Then
			ble.Scan2(Null, True)
		End If
	End If
End Sub

Sub ble_DeviceFound (Name As String, DeviceId As String, AdvertisingData As Map, RSSI As Double)
	'The name is cached by the OS so we need to get it from the advertising data.
	If AdvertisingData.ContainsKey(9) Then
		Dim RawName() As Byte = AdvertisingData.Get(9)
		Dim n As String = BytesToString(RawName, 0, RawName.Length, "utf8")
		If n.StartsWith("B4R") Then
			CallSub2(Main, "NewData", n)
		End If
	End If

End Sub

Sub Service_Start (StartingIntent As Intent)
	

End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
